package org.implab.gradle.variants.artifacts;

import java.util.Set;

import org.eclipse.jdt.annotation.NonNullByDefault;
import org.implab.gradle.variants.core.Layer;
import org.implab.gradle.variants.core.Role;

@NonNullByDefault
public interface ArtifactAssemblyRules {
    void addDirectInput(Object input);

    void addVariantOutputs(Set<String> outputs);

    void addRoleOutputs(Role role, Set<String> outputs);

    void addLayerOutputs(Layer layer, Set<String> outputs);

}
